Description

The exception messages should at least include the transport name and the direction.

See e.g. https://projects.cor-lab.de/issues/1942 for a case in which this information would have been helpful.

Related issues:
Related to Robotics Service Bus - Enhancement # 1658: Do not require converte... Resolved 11/15/2013

Associated revisions
Revision eefd885a - 11/14/2013 10:11 AM - J. Moringen

Improved exception messages in create*Connectors in src/rsb/Factory.cpp

fixes #1657

    -  src/rsb/Factory.cpp (Factory::createInPullConnectors): include
  transport name and direction in exception message
  (Factory::createInPushConnectors): likewise
  (Factory::createOutConnectors): likewise

Revision 4364cbc6 - 11/14/2013 11:28 AM - J. Moringen

Backport: Improved exception messages in create*Connectors in src/rsb/Factory.cpp

refs #1657

    -  src/rsb/Factory.cpp (Factory::createInPullConnectors): include
  transport name and direction in exception message
  (Factory::createInPushConnectors): likewise
  (Factory::createOutConnectors): likewise

History
#1 - 11/14/2013 10:12 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:eefd885a62d75312d199e1231a05965d26a75817.
